<?php
/*
Plugin Name: Интернет-эквайринг Банк Санкт-Петербург
Plugin URI:-
Description: плагин для оплаты банковскими картами
Version: 1.0.1
Author: Банк Санкт-Петербург
Author URI: https://www.bspb.ru/
 */

if (!defined('ABSPATH')) {
    exit;
}

define('WP_BSPB_DIR', plugin_dir_path(__FILE__));
add_action('plugins_loaded', 'woocommerce_bspsb', 0);

function woocommerce_bspsb()
{
    if (!class_exists('WC_Payment_Gateway')) {
        return;
    }
    if (class_exists('WC_BSPB')) {
        return;
    }
    require_once WP_BSPB_DIR . 'class.bspb.php';
    
    function add_bspb_gateway_class($methods)
    {
        $methods[] = 'WC_BSPB';
        return $methods;
    }

    add_filter('woocommerce_payment_gateways', 'add_bspb_gateway_class');
}
